/*
 * @Author: PoJun
 * @Date: 2023-09-13 17:12:51
 * @LastEditors: PoJun
 * @LastEditTime: 2023-09-13 17:54:42
 * @Message: 登录相关
 */
const { http } = uni.$uv;

// 获取系统信息,不需要登录接口
export const getSystemInfo = () => http.get("/system/info", { custom: { noAuth: true } });

// 根据用户code进行微信小程序登录
export const getLoginOpenId = code => http.post("/login_wechat", { code });

// 根据用户code获取用户的手机号码
export const getUserPhone = (params, config) => http.post("/userphone", params, config);

// 获取show列表
export const getShowList = (params, config = {}) => http.get("/mall_shows/list", params, config);

// 获取show详情
export const getShowInfo = (id, config = {}) => http.get(`/mall_shows/${id}/info`, config);
